# Gimp.Drawable.prototype.colorize_hsl

    function colorize_hsl(hue: Number(gdouble), saturation: Number(gdouble), lightness: Number(gdouble)): Boolean {
        // Gjs wrapper for gimp_drawable_colorize_hsl()
    }

Render the drawable as a grayscale image seen through a colored glass.

Desaturates the drawable, then tints it with the specified color. This tool is only valid on RGB color images. It will not operate on grayscale drawables.

Since 2.10

hue

  Hue in degrees.

saturation

  Saturation in percent.

lightness

  Lightness in percent.

Returns

  TRUE on success.